<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html>
<head>
  <meta name="generator" content=
  "HTML Tidy for Linux (vers 25 March 2009), see www.w3.org">

  <title>Machine-readable debian/copyright file</title>
  <meta name="GENERATOR" content=
  "Modular DocBook HTML Stylesheet Version 1.79">
</head>

<body class="article" bgcolor="#FFFFFF" text="#000000" link=
"#0000FF" vlink="#840084" alink="#0000FF">
  <div class="ARTICLE">
    <div class="TITLEPAGE">
      <h1 class="title"><a name="AEN2" id="AEN2">Machine-readable
      <tt class="filename">debian/copyright</tt> file</a></h1>

      <h2 class="subtitle">Version 1.0</h2><span class=
      "releaseinfo">Debian Policy 3.9.8.0, 2016-03-30<br></span>

      <div class="legalnotice">
        <a name="AEN7" id="AEN7"></a>

        <p>Copying and distribution of this file, with or without
        modification, are permitted in any medium without royalty
        provided this notice is preserved.</p>
      </div>

      <div>
        <div class="abstract">
          <a name="AEN9" id="AEN9"></a>

          <p>Establishes a standard, machine-readable format for
          <tt class="filename">debian/copyright</tt> files within
          Debian packages to facilitate automated checking and
          reporting of licenses for packages and sets of packages.
          This specification was originally drafted as <a href=
          "http://dep.debian.net/deps/dep5/" target=
          "_top">DEP-5</a>.</p>
        </div>
      </div>
      <hr>
    </div>

    <div class="TOC">
      <dl>
        <dt><b>Table of Contents</b></dt>

        <dt><a href="#introduction">Introduction</a></dt>

        <dt><a href="#rationale">Rationale</a></dt>

        <dt><a href="#acknowledgements">Acknowledgements</a></dt>

        <dt><a href="#file-syntax">File syntax</a></dt>

        <dt><a href="#paragraphs">Paragraphs</a></dt>

        <dt><a href="#fields">Fields</a></dt>

        <dt><a href="#license-specification">License
        specification</a></dt>

        <dt><a href="#examples">Examples</a></dt>
      </dl>
    </div>

    <div class="section">
      <h2 class="section"><a name="introduction" id=
      "introduction">Introduction</a></h2>

      <p>This document describes a standard, machine-interpretable
      format for the <tt class="filename">debian/copyright</tt>
      file. This file is one of the most important files in Debian
      packaging, but, prior to this specification, no standard
      format was defined for it and its contents varied
      tremendously across packages. This made it difficult to
      automatically extract licensing information.</p>

      <p>Use of this specification is optional.</p>

      <p>Nothing in this proposal supersedes or modifies any of the
      requirements specified in Debian Policy regarding the
      appropriate detail or granularity to use when documenting
      copyright and license status in <tt class=
      "filename">debian/copyright</tt>.</p>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="rationale" id=
      "rationale">Rationale</a></h2>

      <p>The diversity of free software licenses means that Debian
      needs to care not only about the freeness of a given work,
      but also its license's compatibility with the other parts of
      Debian it uses.</p>

      <p>The arrival of the GPL version 3, its incompatibility with
      version 2, and our inability to spot the software where the
      incompatibility might be problematic is one prominent
      occurrence of this limitation.</p>

      <p>There are earlier precedents, also. One is the GPL/OpenSSL
      incompatibility. Apart from grepping <tt class=
      "filename">debian/copyright</tt>, which is prone to numerous
      false positives (packaging under the GPL but software under
      another license) or negatives (GPL software but with an
      <span class="QUOTE">"OpenSSL special exception"</span> dual
      licensing form), there is no reliable way to know which
      software in Debian might be problematic.</p>

      <p>And there is more to come. There are issues with shipping
      GPLv2-only software with a CDDL operating system such as
      Nexenta. The GPL version 3 solves this issue, but not all GPL
      software can switch to it and we have no way to know how much
      of Debian should be stripped from such a system.</p>

      <p>Even where licenses are DFSG-free and mutually compatible,
      users may wish for a way to identify software under certain
      licenses (if, for example, they have special reasons to avoid
      certain licenses).</p>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="acknowledgements" id=
      "acknowledgements">Acknowledgements</a></h2>

      <p>Many people have worked on this specification over the
      years. The following alphabetical list is incomplete; please
      suggest missing people: Russ Allbery, Ben Finney, Sam
      Hocevar, Steve Langasek, Charles Plessy, Noah Slater, Jonas
      Smedegaard, Lars Wirzenius.</p>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="file-syntax" id=
      "file-syntax">File syntax</a></h2>

      <p>The <tt class="filename">debian/copyright</tt> file must
      be machine-interpretable, yet human-readable, while
      communicating all mandated upstream information, copyright
      notices and licensing details.</p>

      <p>The syntax of the file is the same as for other Debian
      control files, as specified in the Debian Policy Manual. See
      its <a href=
      "http://www.debian.org/doc/debian-policy/ch-controlfields#s-controlsyntax"
      target="_top">section 5.1</a> for details. Extra fields can
      be added to any paragraph. No prefixing is necessary or
      desired, but please avoid names similar to standard ones so
      that mistakes are easier to catch. Future versions of the
      <tt class="filename">debian/copyright</tt> specification will
      attempt to avoid conflicting specifications for widely used
      extra fields.</p>

      <p>The file consists of two or more paragraphs. At minimum,
      the file must include one <a href="#header-paragraph">header
      paragraph</a> and one <a href="#files-paragraph">Files
      paragraph</a>.</p>

      <p>There are four types of fields. The definition for each
      field in this document indicates which type of value it
      takes.</p>

      <div class="section">
        <hr>

        <h3 class="section"><a name="single-line" id=
        "single-line">Single-line values</a></h3>

        <p>The entire value of a single-line field must be on a
        single line. For example, the <code class=
        "varname">Format</code> field has a single-line value
        specifying the version of the machine-readable format that
        is used.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="white-space-lists" id=
        "white-space-lists">Whitespace-separated lists</a></h3>

        <p>Field values defined as whitespace-separated lists may
        be on one line or many. Values in the list are separated by
        one or more whitespace characters (space, tab, or newline).
        For example, the <code class="varname">Files</code> field
        contains a whitespace-separated list of filename
        patterns.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="line-based-lists" id=
        "line-based-lists">Line-based lists</a></h3>

        <p>Line-based lists have one value per line. For example,
        the <code class="varname">Upstream-Contact</code> field
        contains a line-based list of contact addresses.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="formatted-text" id=
        "formatted-text">Formatted text</a></h3>

        <p>Formatted text fields use the same rules as the long
        description in a package's <code class=
        "varname">Description</code> field in Debian control files.
        In some but not all cases, the first line may have special
        meaning as a synopsis, similar to how the <code class=
        "varname">Description</code> field uses the first line for
        the short description. See Debian Policy's section 5.6.13,
        <a href=
        "http://www.debian.org/doc/debian-policy/ch-controlfields#s-f-Description"
        target="_top"><span class="QUOTE">"Description"</span></a>,
        for details. For example, <code class=
        "varname">Disclaimer</code> is a formatted text field that
        has no special first line, and <code class=
        "varname">License</code> is a formatted text field where
        the first line indicates the short name or names of the
        licenses.</p>
      </div>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="paragraphs" id=
      "paragraphs">Paragraphs</a></h2>

      <p>There are three kinds of paragraphs. The first paragraph
      in the file is called the <a href="#header-paragraph">header
      paragraph</a>. Every other paragraph is either a <a href=
      "#files-paragraph">Files paragraph</a> or a <a href=
      "#stand-alone-license-paragraph">stand-alone License
      paragraph</a>. This is similar to source and binary package
      paragraphs in <tt class="filename">debian/control</tt>
      files.</p>

      <div class="section">
        <hr>

        <h3 class="section"><a name="header-paragraph" id=
        "header-paragraph">Header paragraph (once)</a></h3>

        <p>The following fields may be present in a header
        paragraph.</p>

        <ul>
          <li>
            <p><a href="#format-field">Format</a>: required.</p>
          </li>

          <li>
            <p><a href="#upstream-name-field">Upstream-Name</a>:
            optional.</p>
          </li>

          <li>
            <p><a href=
            "#upstream-contact-field">Upstream-Contact</a>:
            optional.</p>
          </li>

          <li>
            <p><a href="#source-field">Source</a>: optional.</p>
          </li>

          <li>
            <p><a href="#disclaimer-field">Disclaimer</a>:
            optional.</p>
          </li>

          <li>
            <p><a href="#comment-field">Comment</a>: optional.</p>
          </li>

          <li>
            <p><a href="#license-field">License</a>: optional.</p>
          </li>

          <li>
            <p><a href="#copyright-field">Copyright</a>:
            optional.</p>
          </li>
        </ul>

        <p>The <code class="varname">Copyright</code> and
        <code class="varname">License</code> fields in the
        <span class="emphasis"><i class="emphasis">header
        paragraph</i></span> may complement but do not replace the
        <span class="emphasis"><i class="emphasis">Files
        paragraphs</i></span>. If present, they summarise the
        copyright notices or redistribution terms for the package
        as a whole. For example, when a work combines a permissive
        and a copyleft license, <code class=
        "varname">License</code> can be used to clarify the license
        terms for the combination. <code class=
        "varname">Copyright</code> and <code class=
        "varname">License</code> together can also be used to
        document a <span class="emphasis"><i class=
        "emphasis">compilation copyright</i></span> and license. It
        is possible to use only <code class=
        "varname">License</code> in the header paragraph, but
        <code class="varname">Copyright</code> alone makes no
        sense.</p>

        <div class="section">
          <hr>

          <h4 class="section"><a name="example-header-paragraph"
          id="example-header-paragraph">Example header
          paragraph</a></h4>
          <pre class="programlisting">
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: SOFTware
Upstream-Contact: John Doe &lt;john.doe@example.com&gt;
Source: http://www.example.com/software/project
</pre>
        </div>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="files-paragraph" id=
        "files-paragraph">Files paragraph (repeatable)</a></h3>

        <p>The declaration of copyright and license for files may
        consist of one or more paragraphs. In the simplest case, a
        single paragraph with <tt class="literal">Files: *</tt> can
        be used to state the license and copyright for the whole
        package. Only the license and copyright information
        required by the Debian archive is required to be listed
        here.</p>

        <p>The following fields may be present in a Files
        paragraph.</p>

        <ul>
          <li>
            <p><a href="#files-field">Files</a>: required.</p>
          </li>

          <li>
            <p><a href="#copyright-field">Copyright</a>:
            required.</p>
          </li>

          <li>
            <p><a href="#license-field">License</a>: required.</p>
          </li>

          <li>
            <p><a href="#comment-field">Comment</a>: optional.</p>
          </li>
        </ul>

        <div class="section">
          <hr>

          <h4 class="section"><a name="example-files-paragraph" id=
          "example-files-paragraph">Example files
          paragraphs</a></h4>
          <pre class="programlisting">
Files: *
Copyright: 1975-2010 Ulla Upstream
License: GPL-2+

Files: debian/*
Copyright: 2010 Daniela Debianizer
License: GPL-2+

Files: debian/patches/fancy-feature
Copyright: 2010 Daniela Debianizer
License: GPL-3+

Files: */*.1
Copyright: 2010 Manuela Manpager
License: GPL-2+
</pre>

          <p>In this example, all files are copyright by the
          upstream and licensed under the GPL, version 2 or later,
          with three exceptions. All the Debian packaging files are
          copyright by the packager, and further one specific file
          providing a new feature is licensed differently. Finally,
          there are some manual pages added to the package, written
          by a third person.</p>

          <p>Since the license of the manual pages is the same as
          the other files in the package, the last paragraph above
          could instead be combined with the first paragraph,
          listing both copyright statements in one <code class=
          "varname">Copyright</code> field. Whether to combine
          paragraphs with the same license is left to the
          discretion of the author of the <tt class=
          "filename">debian/copyright</tt> file.</p>
        </div>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="stand-alone-license-paragraph"
        id="stand-alone-license-paragraph">Stand-alone License
        Paragraph (optional, repeatable)</a></h3>

        <p>Stand-alone <code class="varname">License</code>
        paragraphs can be used to provide the full license text for
        a given license once, instead of repeating it in each
        <code class="varname">Files</code> paragraph that refers to
        it. The first line of the <code class=
        "varname">License</code> field must be a single license
        short name or a short name followed by a license
        exception.</p>

        <p>The following fields may be present in a stand-alone
        License paragraph.</p>

        <ul>
          <li>
            <p><a href="#license-field">License</a>: required.</p>
          </li>

          <li>
            <p><a href="#comment-field">Comment</a>: optional.</p>
          </li>
        </ul>

        <div class="example">
          <a name="AEN152" id="AEN152"></a>

          <p><b>Example 1. tri-licensed files</b></p>
          <pre class="programlisting">
Files: src/js/editline/*
Copyright: 1993, John Doe
           1993, Joe Average
License: MPL-1.1 or GPL-2 or LGPL-2.1

License: MPL-1.1
 [LICENSE TEXT]

License: GPL-2
 [LICENSE TEXT]

License: LGPL-2.1
 [LICENSE TEXT]
</pre>
        </div>

        <div class="example">
          <a name="AEN155" id="AEN155"></a>

          <p><b>Example 2. recurrent license</b></p>
          <pre class="programlisting">
Files: src/js/editline/*
Copyright: 1993, John Doe
           1993, Joe Average
License: MPL-1.1

Files: src/js/fdlibm/*
Copyright: 1993, J-Random Corporation
License: MPL-1.1

License: MPL-1.1
 [LICENSE TEXT]
</pre>
        </div>
      </div>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="fields" id=
      "fields">Fields</a></h2>

      <p>The following fields are defined for use in <tt class=
      "filename">debian/copyright</tt>.</p>

      <div class="section">
        <hr>

        <h3 class="section"><a name="format-field" id=
        "format-field"><code class="varname">Format</code></a></h3>

        <p>Single-line: URI of the format specification. The field
        that should be used for the current version of this
        document is:</p>
        <pre class="programlisting">
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
</pre>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="upstream-name-field" id=
        "upstream-name-field"><code class=
        "varname">Upstream-Name</code></a></h3>

        <p>Single-line: the name upstream uses for the software</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="upstream-contact-field" id=
        "upstream-contact-field"><code class=
        "varname">Upstream-Contact</code></a></h3>

        <p>Line-based list: the preferred address(es) to reach the
        upstream project. May be free-form text, but by convention
        will usually be written as a list of RFC5322 addresses or
        URIs.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="source-field" id=
        "source-field"><code class="varname">Source</code></a></h3>

        <p>Formatted text, no synopsis: an explanation of where the
        upstream source came from. Typically this would be a URL,
        but it might be a free-form explanation. The Debian Policy
        section <a href=
        "http://www.debian.org/doc/debian-policy/ch-docs#s-copyrightfile"
        target="_top">12.5</a> requires this information unless
        there are no upstream sources, which is mainly the case for
        native Debian packages. If the upstream source has been
        modified to remove non-free parts, that should be explained
        in this field.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="disclaimer-field" id=
        "disclaimer-field"><code class=
        "varname">Disclaimer</code></a></h3>

        <p>Formatted text, no synopsis: this field is used for
        non-free or contrib packages to state that they are not
        part of Debian and to explain why (see Debian Policy
        section <a href=
        "http://www.debian.org/doc/debian-policy/ch-docs#s-copyrightfile"
        target="_top">12.5</a>).</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="comment-field" id=
        "comment-field"><code class=
        "varname">Comment</code></a></h3>

        <p>Formatted text, no synopsis: this field can provide
        additional information. For example, it might quote an
        e-mail from upstream justifying why the license is
        acceptable to the main archive, or an explanation of how
        this version of the package has been forked from a version
        known to be DFSG-free, even though the current upstream
        version is not.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="license-field" id=
        "license-field"><code class=
        "varname">License</code></a></h3>

        <p>Formatted text, with synopsis. In the header paragraph,
        this field gives the license information for the package as
        a whole, which may be different or simplified from a
        combination of all the per-file license information. In a
        Files paragraph, this field gives the licensing terms for
        the files listed in the <code class="varname">Files</code>
        field for this paragraph. In a stand-alone License
        paragraph, it gives the licensing terms for those
        paragraphs which reference it.</p>

        <p>First line: an abbreviated name for the license, or
        expression giving alternatives (see the <a href=
        "#license-short-name">Short name</a> section for a list of
        standard abbreviations). If there are licenses present in
        the package without a standard short name, an arbitrary
        short name may be assigned for these licenses. These
        arbitrary names are only guaranteed to be unique within a
        single copyright file.</p>

        <p>If there are no remaining lines, then all of the short
        names or short names followed by license exceptions making
        up the first line must be described in <a href=
        "#stand-alone-license-paragraph">stand-alone License
        paragraphs</a>. Otherwise, this field should either include
        the full text of the license(s) or include a pointer to the
        license file under <tt class=
        "filename">/usr/share/common-licenses</tt>. This field
        should include all text needed in order to fulfill both
        Debian Policy's requirement for including a copy of the
        software's distribution license (<a href=
        "http://www.debian.org/doc/debian-policy/ch-docs#s-copyrightfile"
        target="_top">12.5</a>), and any license requirements to
        include warranty disclaimers or other notices with the
        binary package.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="copyright-field" id=
        "copyright-field"><code class=
        "varname">Copyright</code></a></h3>

        <p>Formatted text, no synopsis: one or more free-form
        copyright statements. Any formatting is permitted; see the
        examples below for some ideas for how to structure the
        field to make it easier to read. In the header paragraph,
        this field gives the copyright information for the package
        as a whole, which may be different or simplified from a
        combination of all the per-file copyright information. In
        the Files paragraphs, it gives the copyright information
        that applies to the files matched by the <code class=
        "varname">Files</code> pattern. If a work has no copyright
        holder (i.e., it is in the public domain), that information
        should be recorded here.</p>

        <p>The <code class="varname">Copyright</code> field
        collects all relevant copyright notices for the files of
        this paragraph. Not all copyright notices may apply to
        every individual file, and years of publication for one
        copyright holder may be gathered together. For example, if
        file A has:</p>
        <pre class="programlisting">
Copyright 2008 John Smith
Copyright 2009 Angela Watts
</pre>and file B has:
        <pre class="programlisting">
Copyright 2010 Angela Watts
</pre>a single paragraph may still be used for both files. The
<code class="varname">Copyright</code> field for that paragraph
would contain:
        <pre class="programlisting">
Copyright 2008 John Smith
Copyright 2009, 2010 Angela Watts
</pre>

        <p>The <code class="varname">Copyright</code> field may
        contain the original copyright statement copied exactly
        (including the word <span class=
        "QUOTE">"Copyright"</span>), or it may shorten the text or
        merge it with other copyright statements as described
        above, as long as it does not sacrifice information.
        Examples in this specification use both forms.</p>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="files-field" id=
        "files-field"><code class="varname">Files</code></a></h3>

        <p>Whitespace-separated list: list of patterns indicating
        files covered by the license and copyright specified in
        this paragraph.</p>

        <p>Filename patterns in the <code class=
        "varname">Files</code> field are specified using a
        simplified shell glob syntax. Patterns are separated by
        whitespace.</p>

        <ul>
          <li>
            <p>Only the wildcards <tt class="literal">*</tt> and
            <tt class="literal">?</tt> apply; the former matches
            any number of characters (including none), the latter a
            single character. Both match slashs (<tt class=
            "literal">/</tt>) and leading dots, unlike shell globs.
            The pattern <tt class="literal">*.in</tt> therefore
            matches any file whose name ends in <tt class=
            "literal">.in</tt> anywhere in the source tree, not
            just at the top level.</p>
          </li>

          <li>
            <p>Patterns match pathnames that start at the root of
            the source tree. Thus, <span class="QUOTE">"<tt class=
            "filename">Makefile.in</tt>"</span> matches only the
            file at the root of the tree, but <span class=
            "QUOTE">"<tt class=
            "filename">*/Makefile.in</tt>"</span> matches at any
            depth.</p>
          </li>

          <li>
            <p>The backslash (<tt class="literal">\</tt>) is used
            to remove the magic from the next character; see table
            below.</p>
          </li>
        </ul>

        <div class="informaltable">
          <a name="AEN237" id="AEN237"></a>

          <table border="1" class="CALSTABLE">
            <col>
            <col>

            <thead>
              <tr>
                <th>Escape sequence</th>

                <th>Matches</th>
              </tr>
            </thead>

            <tbody>
              <tr>
                <td><tt class="literal">\*</tt></td>

                <td>star (asterisk)</td>
              </tr>

              <tr>
                <td><tt class="literal">\?</tt></td>

                <td>question mark</td>
              </tr>

              <tr>
                <td><tt class="literal">\\</tt></td>

                <td>backslash</td>
              </tr>
            </tbody>
          </table>
        </div>Any other character following a backslash is an
        error.

        <p>This is the same pattern syntax as <span class=
        "citerefentry"><span class=
        "refentrytitle">fnmatch</span>(3)</span> without the
        <code class="constant">FNM_PATHNAME</code> flag, or the
        argument to the <tt class="literal">-path</tt> test of the
        GNU <b class="command">find</b> command, except that
        <tt class="literal">[]</tt> wildcards are not
        recognized.</p>

        <p>Multiple <code class="varname">Files</code> paragraphs
        are allowed. The last paragraph that matches a particular
        file applies to it. More general paragraphs should
        therefore be given first, followed by more specific
        overrides.</p>

        <p>Exclusions are only supported by adding <code class=
        "varname">Files</code> paragraphs to override the previous
        match.</p>
      </div>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="license-specification" id=
      "license-specification">License specification</a></h2>

      <div class="section">
        <h3 class="section"><a name="license-short-name" id=
        "license-short-name">Short name</a></h3>

        <p>Much of the value of a machine-parseable copyright file
        lies in being able to correlate the licenses of multiple
        pieces of software. To that end, this spec defines standard
        short names for a number of commonly used licenses, which
        can be used in the first line of a <code class=
        "varname">License</code> field.</p>

        <p>These short names have the specified meanings across all
        uses of this file format, and <span class=
        "emphasis"><i class="emphasis">must not</i></span> be used
        to refer to any other licenses. Parsers may thus rely on
        these short names referring to the same licenses wherever
        they occur, without needing to parse or compare the full
        license text.</p>

        <p>From time to time, licenses may be added to or removed
        from the list of standard short names. Such changes in the
        list of short names will always be accompanied by changes
        to the version of this standard and to the recommended
        <code class="varname">Format</code> value. Implementers who
        are parsing copyright files should take care not to assume
        anything about the meaning of license short names for
        unknown <code class="varname">Format</code> versions.</p>

        <p>Use of a standard short name does not override the
        Debian Policy requirement to include the full license text
        in <tt class="filename">debian/copyright</tt>, nor any
        requirements in the license of the work regarding
        reproduction of legal notices. This information must still
        be included in the <code class="varname">License</code>
        field, either in a stand-alone License paragraph or in the
        relevant files paragraph.</p>

        <p>For licenses that have multiple versions in use, the
        short name is formed from the general short name of the
        license family, followed by a dash and the version number.
        If the version number is omitted, the lowest version number
        is implied. When the license grant permits using the terms
        of any later version of that license, add a plus sign to
        the end of the short name. For example, the short name
        <tt class="literal">GPL</tt> refers to the GPL version 1
        and is equivalent to <tt class="literal">GPL-1</tt>,
        although the latter is clearer and therefore preferred. If
        the package may be distributed under the GPL version 1 or
        any later version, use a short name of <tt class=
        "literal">GPL-1+</tt>.</p>

        <p>For <a href="#spdx">SPDX</a> compatibility, versions
        with trailing <span class="emphasis"><i class=
        "emphasis">dot-zeroes</i></span> are considered to be
        equivalent to versions without (e.g., <span class=
        "QUOTE">"2.0.0"</span> is considered equal to <span class=
        "QUOTE">"2.0"</span> and <span class=
        "QUOTE">"2"</span>).</p>

        <p>Currently, the full text of the licenses is only
        available in the <a href="http://spdx.org/licenses" target=
        "_top">SPDX Open Source License Registry</a>.</p>

        <div class="informaltable">
          <a name="AEN294" id="AEN294"></a>

          <table border="1" class="CALSTABLE">
            <col>
            <col>

            <thead>
              <tr>
                <th>Keyword</th>

                <th>Meaning</th>
              </tr>
            </thead>

            <tbody>
              <tr>
                <td>public-domain</td>

                <td>No license required for any purpose; the work
                is not subject to copyright in any
                jurisdiction.</td>
              </tr>

              <tr>
                <td>Apache</td>

                <td>Apache license <a href=
                "http://spdx.org/licenses/Apache-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/Apache-2.0" target=
                "_top">2.0</a>.</td>
              </tr>

              <tr>
                <td>Artistic</td>

                <td>Artistic license <a href=
                "http://spdx.org/licenses/Artistic-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/Artistic-2.0" target=
                "_top">2.0</a>.</td>
              </tr>

              <tr>
                <td>BSD-2-clause</td>

                <td>Berkeley software distribution license,
                <a href="http://spdx.org/licenses/BSD-2-Clause"
                target="_top">2-clause version</a>.</td>
              </tr>

              <tr>
                <td>BSD-3-clause</td>

                <td>Berkeley software distribution license,
                <a href="http://spdx.org/licenses/BSD-3-Clause"
                target="_top">3-clause version</a>.</td>
              </tr>

              <tr>
                <td>BSD-4-clause</td>

                <td>Berkeley software distribution license,
                <a href="http://spdx.org/licenses/BSD-4-Clause"
                target="_top">4-clause version</a>.</td>
              </tr>

              <tr>
                <td>ISC</td>

                <td><a href="http://spdx.org/licenses/ISC" target=
                "_top">Internet Software Consortium</a>, sometimes
                also known as the OpenBSD License.</td>
              </tr>

              <tr>
                <td>CC-BY</td>

                <td>Creative Commons Attribution license <a href=
                "http://spdx.org/licenses/CC-BY-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC-BY-SA</td>

                <td>Creative Commons Attribution Share Alike
                license <a href=
                "http://spdx.org/licenses/CC-BY-SA-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-SA-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-SA-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-SA-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC-BY-ND</td>

                <td>Creative Commons Attribution No Derivatives
                license <a href=
                "http://spdx.org/licenses/CC-BY-ND-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-ND-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-ND-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-ND-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC-BY-NC</td>

                <td>Creative Commons Attribution Non-Commercial
                license <a href=
                "http://spdx.org/licenses/CC-BY-NC-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC-BY-NC-SA</td>

                <td>Creative Commons Attribution Non-Commercial
                Share Alike license <a href=
                "http://spdx.org/licenses/CC-BY-NC-SA-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-SA-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-SA-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-SA-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC-BY-NC-ND</td>

                <td>Creative Commons Attribution Non-Commercial No
                Derivatives license <a href=
                "http://spdx.org/licenses/CC-BY-NC-ND-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-ND-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-ND-2.5" target=
                "_top">2.5</a>, <a href=
                "http://spdx.org/licenses/CC-BY-NC-ND-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>CC0</td>

                <td>Creative Commons Zero <a href=
                "http://spdx.org/licenses/CC0-1.0" target=
                "_top">1.0 Universal</a>. Omit <span class=
                "QUOTE">"Universal"</span> from the license version
                when forming the short name.</td>
              </tr>

              <tr>
                <td>CDDL</td>

                <td>Common Development and Distribution License
                <a href="http://spdx.org/licenses/CDDL-1.0" target=
                "_top">1.0</a>.</td>
              </tr>

              <tr>
                <td>CPL</td>

                <td><a href="http://spdx.org/licenses/CPL-1.0"
                target="_top">IBM Common Public License</a>.</td>
              </tr>

              <tr>
                <td>EFL</td>

                <td>The Eiffel Forum License <a href=
                "http://spdx.org/licenses/EFL-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/EFL-2.0" target=
                "_top">2.0</a>.</td>
              </tr>

              <tr>
                <td>Expat</td>

                <td>The <a href=
                "http://www.jclark.com/xml/copying.txt" target=
                "_top">Expat</a> license.</td>
              </tr>

              <tr>
                <td>GPL</td>

                <td>GNU General Public License <a href=
                "http://spdx.org/licenses/GPL-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/GPL-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/GPL-3.0" target=
                "_top">3.0</a>.</td>
              </tr>

              <tr>
                <td>LGPL</td>

                <td>GNU Lesser General Public License <a href=
                "http://spdx.org/licenses/LGPL-2.1" target=
                "_top">2.1</a>, <a href=
                "http://spdx.org/licenses/LGPL-3.0" target=
                "_top">3.0</a>, or GNU Library General Public
                License <a href="http://spdx.org/licenses/LGPL-2.0"
                target="_top">2.0</a>.</td>
              </tr>

              <tr>
                <td>GFDL</td>

                <td>GNU Free Documentation License 1.0, <a href=
                "http://spdx.org/licenses/GFDL-1.1" target=
                "_top">1.1</a>, <a href=
                "http://spdx.org/licenses/GFDL-1.2" target=
                "_top">1.2</a>, or <a href=
                "http://spdx.org/licenses/GFDL-1.3" target=
                "_top">1.3</a>. Use GFDL-NIV instead if there are
                no Front-Cover or Back-Cover Texts or Invariant
                Sections.</td>
              </tr>

              <tr>
                <td>GFDL-NIV</td>

                <td>GNU Free Documentation License, with no
                Front-Cover or Back-Cover Texts or Invariant
                Sections. Use the same version numbers as
                GFDL.</td>
              </tr>

              <tr>
                <td>LPPL</td>

                <td><a href="http://www.latex-project.org/lppl/"
                target="_top">LaTeX Project Public License</a>
                <a href="http://spdx.org/licenses/LPPL-1.0" target=
                "_top">1.0</a>, <a href=
                "http://spdx.org/licenses/LPPL-1.1" target=
                "_top">1.1</a>, <a href=
                "http://spdx.org/licenses/LPPL-1.2" target=
                "_top">1.2</a>, <a href=
                "http://spdx.org/licenses/LPPL-1.3c" target=
                "_top">1.3c</a>.</td>
              </tr>

              <tr>
                <td>MPL</td>

                <td>Mozilla Public License <a href=
                "http://spdx.org/licenses/MPL-1.1" target=
                "_top">1.1</a>.</td>
              </tr>

              <tr>
                <td>Perl</td>

                <td><a href="http://dev.perl.org/licenses/" target=
                "_top">Perl</a> license (use <span class=
                "QUOTE">"<tt class="literal">GPL-1+ or
                Artistic-1</tt>"</span> instead).</td>
              </tr>

              <tr>
                <td>Python</td>

                <td>Python license <a href=
                "http://spdx.org/licenses/Python-2.0" target=
                "_top">2.0</a>.</td>
              </tr>

              <tr>
                <td>QPL</td>

                <td>Q Public License <a href=
                "http://spdx.org/licenses/QPL-1.0" target=
                "_top">1.0</a>.</td>
              </tr>

              <tr>
                <td>W3C</td>

                <td><a href="http://spdx.org/licenses/W3C" target=
                "_top">W3C Software License</a> For more
                information, consult the <a href=
                "http://www.w3.org/Consortium/Legal/IPR-FAQ-20000620"
                target="_top">W3C Intellectual Rights FAQ</a>.</td>
              </tr>

              <tr>
                <td>Zlib</td>

                <td><a href="http://spdx.org/licenses/Zlib" target=
                "_top">zlib/libpng license</a>.</td>
              </tr>

              <tr>
                <td>Zope</td>

                <td>Zope Public License 1.0, <a href=
                "http://spdx.org/licenses/ZPL-1.1" target=
                "_top">1.1</a>, <a href=
                "http://spdx.org/licenses/ZPL-2.0" target=
                "_top">2.0</a>, <a href=
                "http://spdx.org/licenses/ZPL-2.1" target=
                "_top">2.1</a>.</td>
              </tr>
            </tbody>
          </table>
        </div>

        <p>There are <a href=
        "http://en.wikipedia.org/wiki/MIT_License#Various_versions"
        target="_top">many versions of the MIT license</a>. Please
        use Expat instead, when it matches.</p>

        <p>An exception or clarification to a license is signalled
        in plain text, by appending <tt class="literal">with
        <code class="varname"><tt class=
        "replaceable"><i>keywords</i></tt></code> exception</tt> to
        the short name. This document provides a list of keywords
        that must be used when referring to the most frequent
        exceptions. When exceptions other than these are in effect
        that modify a common license by granting additional
        permissions, you may use an arbitrary keyword not taken
        from the below list of keywords. When a license differs
        from a common license because of added restrictions rather
        than because of added permissions, a distinct short name
        should be used instead of <tt class="literal">with
        <code class="varname"><tt class=
        "replaceable"><i>keywords</i></tt></code>
        exception</tt>.</p>

        <p>Only one exception may be specified for each license
        within a given license specification. If more than one
        exception applies to a single license, an arbitrary short
        name indicating that combination of multiple exceptions
        must be used instead.</p>

        <p>The GPL <tt class="literal">Font</tt> exception refers
        to the text added to the license notice of each file as
        specified at <a href=
        "http://www.gnu.org/licenses/gpl-faq#FontException" target=
        "_top">How does the GPL apply to fonts</a>. The precise
        text corresponding to this exception is:</p>
        <pre class="programlisting">
As a special exception, if you create a document which uses this font,
and embed this font or unaltered portions of this font into the
document, this font does not by itself cause the resulting document to
be covered by the GNU General Public License. This exception does not
however invalidate any other reasons why the document might be covered
by the GNU General Public License. If you modify this font, you may
extend this exception to your version of the font, but you are not
obligated to do so. If you do not wish to do so, delete this exception
statement from your version.
</pre>

        <p>The GPL <tt class="literal">OpenSSL</tt> exception gives
        permission to link GPL-licensed code with the OpenSSL
        library, which contains GPL-incompatible clauses. For more
        information, see <a href=
        "http://www.gnome.org/~markmc/openssl-and-the-gpl" target=
        "_top">The OpenSSL License and The GPL</a> by Mark
        McLoughlin and the message <a href=
        "http://lists.debian.org/debian-legal/2004/05/msg00595.html"
        target="_top">middleman software license conflicts with
        OpenSSL</a> by Mark McLoughlin on the <span class=
        "emphasis"><i class="emphasis">debian-legal</i></span>
        mailing list. The text corresponding to this exception
        is:</p>
        <pre class="programlisting">
In addition, as a special exception, the copyright holders give
permission to link the code of portions of this program with the
OpenSSL library under certain conditions as described in each
individual source file, and distribute linked combinations including
the two.

You must obey the GNU General Public License in all respects for all
of the code used other than OpenSSL. If you modify file(s) with this
exception, you may extend this exception to your version of the
file(s), but you are not obligated to do so. If you do not wish to do
so, delete this exception statement from your version. If you delete
this exception statement from all source files in the program, then
also delete it here.
</pre>

        <div class="section">
          <hr>

          <h4 class="section"><a name="public-domain" id=
          "public-domain">Public domain</a></h4>

          <p>The <code class="varname">License</code> short name
          <tt class="literal">public-domain</tt> does not refer to
          a set of license terms. There are some works which are
          not subject to copyright in any jurisdiction and
          therefore no license is required for any purpose covered
          by copyright law. This short name is an explicit
          declaration that the associated files are <span class=
          "QUOTE">"in the public domain"</span>.</p>

          <p>Widespread misunderstanding about copyright in
          general, and the public domain in particular, results in
          the common assertion that a work is in the public domain
          when this is partly or wholly untrue for that work. The
          <a href="http://en.wikipedia.org/wiki/Public_domain"
          target="_top">Wikipedia article on public domain</a> is a
          useful reference for this subject.</p>

          <p>When the <code class="varname">License</code> field in
          a paragraph has the short name <tt class=
          "literal">public-domain</tt>, the remaining lines of the
          field <span class="emphasis"><i class=
          "emphasis">must</i></span> explain exactly what exemption
          the corresponding files for that paragraph have from
          default copyright restrictions.</p>
        </div>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="license-syntax" id=
        "license-syntax">Syntax</a></h3>

        <p>License names are case-insensitive, and may not contain
        spaces.</p>

        <p>In case of multi-licensing, the license short names are
        separated by <tt class="literal">or</tt> when the user can
        chose between different licenses, and by <tt class=
        "literal">and</tt> when use of the work must simultaneously
        comply with the terms of multiple licenses.</p>

        <p>For instance, this is a simple, <span class="QUOTE">"GPL
        version 2 or later"</span> field:</p>
        <pre class="programlisting">
License: GPL-2+
</pre>This is a dual-licensed GPL/Artistic work such as Perl:
        <pre class="programlisting">
License: GPL-1+ or Artistic
</pre>This is for a file that has both GPL and classic BSD code in
it:
        <pre class="programlisting">
License: GPL-2+ and BSD-3-clause
</pre>For the most complex cases, a comma is used to disambiguate
the priority of <tt class="literal">or</tt>s and <tt class=
"literal">and</tt>s. The conjunction <span class=
        "QUOTE">"<tt class="literal">and</tt>"</span> has priority
        over <span class="QUOTE">"<tt class=
        "literal">or</tt>"</span> unless preceded by a comma. For
        instance:

        <p><tt class="literal">A or B and C</tt> means <tt class=
        "literal">A or (B and C)</tt>.</p>

        <p><tt class="literal">A or B, and C</tt> means <tt class=
        "literal">(A or B) and C</tt>.</p>

        <p>This is for a file that has Perl code and classic BSD
        code in it:</p>
        <pre class="programlisting">
License: GPL-2+ or Artistic-2.0, and BSD-3-clause
</pre>A <tt class="literal">GPL-2+</tt> work with the
        <tt class="literal">OpenSSL</tt> exception is in effect a
        dual-licensed work that can be redistributed either under
        the <tt class="literal">GPL-2+</tt>, or under the
        <tt class="literal">GPL-2+</tt> with the <tt class=
        "literal">OpenSSL</tt> exception. It is thus expressed as
        <tt class="literal">GPL-2+ with OpenSSL exception</tt>. A
        possible <code class="varname">License</code> field for
        such a license is:
        <pre class="programlisting">
License: GPL-2+ with OpenSSL exception
 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later
 version.
 .
 In addition, as a special exception, the author of this
 program gives permission to link the code of its
 release with the OpenSSL project's "OpenSSL" library (or
 with modified versions of it that use the same license as
 the "OpenSSL" library), and distribute the linked
 executables. You must obey the GNU General Public
 License in all respects for all of the code used other
 than "OpenSSL".  If you modify this file, you may extend
 this exception to your version of the file, but you are
 not obligated to do so.  If you do not wish to do so,
 delete this exception statement from your version.
 .
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more
 details.
 .
 You should have received a copy of the GNU General Public
 License along with this package; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 Boston, MA  02110-1301 USA
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/GPL-2'.
</pre>
      </div>

      <div class="section">
        <hr>

        <h3 class="section"><a name="spdx" id="spdx">SPDX</a></h3>

        <p><a href="http://spdx.org/" target="_top">SPDX</a> is an
        attempt to standardize a format for communicating the
        components, licenses and copyrights associated with a
        software package. It and the machine-readable <tt class=
        "filename">debian/copyright</tt> format attempt to be
        somewhat compatible. However, the two formats have
        different aims, and so the formats are different. The
        <a href="http://wiki.debian.org/Proposals/CopyrightFormat"
        target="_top">DEP5 wiki page</a> will be used to track the
        differences.</p>
      </div>
    </div>

    <div class="section">
      <hr>

      <h2 class="section"><a name="examples" id=
      "examples">Examples</a></h2>

      <div class="example">
        <a name="AEN529" id="AEN529"></a>

        <p><b>Example 3. Simple</b></p>

        <p>A possible <tt class="filename">debian/copyright</tt>
        file for the program <span class="QUOTE">"X
        Solitaire"</span> distributed in the Debian source package
        <tt class="literal">xsol</tt>:</p>
        <pre class="programlisting">
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: X Solitaire
Source: ftp://ftp.example.com/pub/games

Files: *
Copyright: Copyright 1998 John Doe &lt;jdoe@example.com&gt;
License: GPL-2+
 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later
 version.
 .
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more
 details.
 .
 You should have received a copy of the GNU General Public
 License along with this package; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 Boston, MA  02110-1301 USA
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/GPL-2'.

Files: debian/*
Copyright: Copyright 1998 Jane Smith &lt;jsmith@example.net&gt;
License: GPL-2+
 [LICENSE TEXT]
</pre>
      </div>

      <div class="example">
        <a name="AEN536" id="AEN536"></a>

        <p><b>Example 4. Complex</b></p>

        <p>A possible <tt class="filename">debian/copyright</tt>
        file for the program <span class="QUOTE">"Planet
        Venus"</span>, distributed in the Debian source package
        <tt class="literal">planet-venus</tt>:</p>
        <pre class="programlisting">
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: Planet Venus
Upstream-Contact: John Doe &lt;jdoe@example.com&gt;
Source: http://www.example.com/code/venus

Files: *
Copyright: 2008, John Doe &lt;jdoe@example.com&gt;
           2007, Jane Smith &lt;jsmith@example.org&gt;
           2007, Joe Average &lt;joe@example.org&gt;
           2007, J. Random User &lt;jr@users.example.com&gt;
License: PSF-2
 [LICENSE TEXT]

Files: debian/*
Copyright: 2008, Dan Developer &lt;dan@debian.example.com&gt;
License: permissive
 Copying and distribution of this package, with or without
 modification, are permitted in any medium without royalty
 provided the copyright notice and this notice are
 preserved.

Files: debian/patches/theme-diveintomark.patch
Copyright: 2008, Joe Hacker &lt;hack@example.org&gt;
License: GPL-2+
 [LICENSE TEXT]

Files: planet/vendor/compat_logging/*
Copyright: 2002, Mark Smith &lt;msmith@example.org&gt;
License: MIT
 [LICENSE TEXT]

Files: planet/vendor/httplib2/*
Copyright: 2006, John Brown &lt;brown@example.org&gt;
License: MIT2
 Unspecified MIT style license.

Files: planet/vendor/feedparser.py
Copyright: 2007, Mike Smith &lt;mike@example.org&gt;
License: PSF-2
 [LICENSE TEXT]

Files: planet/vendor/htmltmpl.py
Copyright: 2004, Thomas Brown &lt;coder@example.org&gt;
License: GPL-2+
 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General Public
 License as published by the Free Software Foundation; either
 version 2 of the License, or (at your option) any later
 version.
 .
 This program is distributed in the hope that it will be
 useful, but WITHOUT ANY WARRANTY; without even the implied
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 PURPOSE.  See the GNU General Public License for more
 details.
 .
 You should have received a copy of the GNU General Public
 License along with this package; if not, write to the Free
 Software Foundation, Inc., 51 Franklin St, Fifth Floor,
 Boston, MA  02110-1301 USA
 .
 On Debian systems, the full text of the GNU General Public
 License version 2 can be found in the file
 `/usr/share/common-licenses/GPL-2'.
</pre>
      </div>
    </div>
  </div>
</body>
</html>
